﻿/**
 * Bullet
 * Author: codelite
 * Description: bullet object
 */
package  codelite
{
	/** flash classes **/
	import flash.display.Shape;
	import flash.media.Sound;

	public class Bullet extends Shape
	{	
		private var _speedX:Number = 0;		// speed on X-axis
		private var _speedY:Number = 0;		// speed on Y-axis
		private var _sound :Sound  = null;	// sound object
		
		/** constructor 
			@param: $color - the color of the bullet
			@param: $x - the x position
			@param: $y - the y position
		**/
		public function Bullet($color:Number,$x:Number, $y:Number)
		{
			// new explosion sound
			_sound = new Shot();
            _sound.play();
			
			// fill the graphics
			this.graphics.beginFill($color);
			this.graphics.drawCircle(0,0,2);
			this.graphics.endFill();
			
			// position the bullet
			this.x=$x;
			this.y=$y;
		}
		
		/** set the x-axis speed **/
		public function SetSpeedX($val:Number):void
		{
			_speedX = $val;
		}
		
		/** set the y-axis speed **/
		public function SetSpeedY($val:Number):void
		{
			_speedY = $val;
		}
		
		/** returns the x-axis speed **/
		public function ReturnSpeedX():Number
		{
			return _speedX;
		}
		/** returns the y-axis speed **/
		public function ReturnSpeedY():Number
		{
			return _speedY;
		}
		
		/** clear from memory **/
		public function Clear():void
		{
			this.graphics.clear();
			_speedX=NaN;
			_speedY=NaN;
			_sound = null;
		}
	}
}