﻿/**
 * Menu
 * Author: codelite
 * Description: game menu
 */
package codelite
{
	/** flash classes **/
	import flash.display.Sprite;
	import flash.events.MouseEvent;
	
	/** custom classes **/
	import codelite.utils.Public;
	import codelite.utils.TextLabel;
	import codelite.utils.CustomGlow;
	
	public class Menu extends Sprite
	{
		private var _title  :TextLabel  = null; // title
		private var _newGame:TextLabel  = null; // new game button
		private var _rules  :TextLabel  = null; // how to play button
		private var _scores :TextLabel  = null; // scores button
		private var _display:Display    = null; // display class reference
		
		/** constructor 
			@param: $display - display reference
		**/		
		public function Menu($display:Display)
		{
			_display = $display;
			
			// set the title
			_title = new TextLabel();
			_title.SetFormat(70,0xFF6B00,  true, "center");
			_title.SetText("Virus Defence");
			_title.x = Public.ReturnStage().stageWidth/2 - _title.width/2;
			_title.y = 50;
			CustomGlow.Glow(_title,0x000000);
			addChild(_title);
			
			// set the new game button
			_newGame = new TextLabel();
			_newGame.SetFormat(50,0xF68B1F,  true, "center");
			_newGame.SetText("New Game");
			_newGame.x = Public.ReturnStage().stageWidth/2 - _newGame.width/2;
			_newGame.y = 150;
			_newGame.buttonMode = true;
			CustomGlow.Glow(_newGame,0x000000);
			_newGame.addEventListener(MouseEvent.CLICK, _display.Play, false, 0, true);
			addChild(_newGame);
			
			// set the new how to play button
			_rules = new TextLabel();
			_rules.SetFormat(50,0xF68B1F,  true, "center");
			_rules.SetText("How To Play");
			_rules.x = Public.ReturnStage().stageWidth/2 - _rules.width/2;
			_rules.y = 210;
			_rules.buttonMode = true;
			CustomGlow.Glow(_rules,0x000000);
			_rules.addEventListener(MouseEvent.CLICK, _display.HowToPlay, false, 0, true);
			addChild(_rules);
			
		}
		
		/** clear this from memory **/		
		public function Clear():void
		{
			if(_title)
			{
				if(_title.stage) removeChild(_title);
				_title.Clear();
				_title = null;
			}
			
			if(_newGame)
			{
				if(_newGame.stage) removeChild(_newGame);
				_newGame.removeEventListener(MouseEvent.CLICK, _display.Play);
				_newGame.Clear();
				_newGame = null;
			}
			
			if(_rules)
			{
				if(_rules.stage) removeChild(_rules);
				_rules.removeEventListener(MouseEvent.CLICK, _display.HowToPlay);
				_rules.Clear();
				_rules = null;
			}
			
			_display = null;
		}
	}
}